> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get promotion requests



## OpenAPI

````yaml get /promotion-requests
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /promotion-requests:
    get:
      tags:
        - Promotion Requests
      summary: Get promotion requests
      operationId: getPromotionRequests
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
          description: Filter by status
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromotionRequestsResponse'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - loader-id: []
components:
  schemas:
    PromotionRequestsResponse:
      type: object
      properties:
        success:
          type: boolean
        requests:
          type: array
          items:
            $ref: '#/components/schemas/PromotionRequest'
    PromotionRequest:
      type: object
      properties:
        _id:
          type: string
        groupId:
          type: string
        targetUserId:
          type: string
        targetUserName:
          type: string
        currentRoleId:
          type: number
        currentRoleName:
          type: string
        requestedRoleId:
          type: number
        requestedRoleName:
          type: string
        reason:
          type: string
        attachments:
          type: array
          items:
            type: string
        requestedBy:
          type: string
        requestedByName:
          type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - declined
        votes:
          type: array
          items:
            $ref: '#/components/schemas/PromotionRequestVote'
        comments:
          type: array
          items:
            $ref: '#/components/schemas/PromotionRequestComment'
        closedBy:
          type: string
        closeComment:
          type: string
        rankedTo:
          type: string
        created:
          type: string
          format: date-time
        closedAt:
          type: string
          format: date-time
    PromotionRequestVote:
      type: object
      properties:
        userId:
          type: string
        vote:
          type: string
          enum:
            - support
            - oppose
        comment:
          type: string
        attachments:
          type: array
          items:
            type: string
        created:
          type: string
          format: date-time
    PromotionRequestComment:
      type: object
      properties:
        userId:
          type: string
        message:
          type: string
        attachments:
          type: array
          items:
            type: string
        created:
          type: string
          format: date-time
  responses:
    ServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````